#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		_javadir	%{_datadir}/java		
#-----------------------------------------------------------------------------
Name		:	antlr3
Version		:	3.5.3
Release		:	16.2.1.rel%{?dist}
Summary		:	ANother Tool for Language Recognition

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+ and BSD and MIT
URL		:	https://www.antlr3.org/
 

Source0		:	 https://github.com/antlr/tags/%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	ant
BuildRequires	:	doxygen
BuildRequires	:	gcc-c++
BuildRequires	:	jdk
BuildRequires	:	libtool
BuildRequires	:	make
#-----------------------------------------------------------------------------
%description
ANother Tool for Language Recognition, is a language tool
that provides a framework for constructing recognizers,
interpreters, compilers, and translators from grammatical
descriptions containing actions in a variety of target
languages

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc runtime/C/COPYING
%{_libdir}/lib%{name}c.so

#=============================================================================
%package		devel
Summary		:	Development libraries for belle-sip
	
#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
Header files for the C bindings for ANTLR-generated parsers
#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}*.h
%{_mandir}/man3/%{name}*.3.gz
%{_mandir}/man3/ANTLR3*.3.gz

#=============================================================================
%package		tools
Summary		:	ANother Tool for Language Recognition
	
#-----------------------------------------------------------------------------
BuildArch	:	noarch

Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		tools
ANother Tool for Language Recognition, is a language tool
that provides a framework for constructing recognizers,
interpreters, compilers, and translators from grammatical
descriptions containing actions in a variety of target languages.
 
#-----------------------------------------------------------------------------
%files			tools
%defattr(-,root,root,-)
%doc README.txt tool/{LICENSE.txt,CHANGES.txt}
%{_javadir}/ant/ant-%{name}.jar
%config(noreplace) %{_sysconfdir}/ant.d/ant-%{name}

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

pushd runtime/C
autoreconf -vif
./configure						\
        --prefix=%{_prefix}				\
	--bindir=%{_bindir}				\
	--sbindir=%{_sbindir}				\
	--includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--enable-64bit 					\
	--disable-static				\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

doxygen -u		# update doxygen configuration file
doxygen			# build doxygen documentation
popd

pushd antlr-ant/main/antlr3-task
#export CLASSPATH=$(build-classpath ant)
export CLASSPATH=/usr/share/ant/lib/ant.jar

echo $CLASSPATH

javac							\
	-encoding ISO-8859-1				\
	-source 1.8					\
	-target 1.8					\
	antlr3-src/org/apache/tools/ant/antlr/ANTLR3.java

/opt/jdk/bin/jar cvf ant-antlr3.jar			\
	-C antlr3-src					\
	   org/apache/tools/ant/antlr/antlib.xml	\
	-C antlr3-src					\
	   org/apache/tools/ant/antlr/ANTLR3.class
	
popd

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

pushd runtime/C
%{__make}						\
	DESTDIR=%{buildroot}				\
	install

pushd api/man/man3
for file in `ls -1 * | grep -vi "^antlr3"`
  do
  echo $file
  mv $file antlr3-$file
  done
popd

%{__mkdir_p} %{buildroot}%{_mandir}
%{__mv} api/man/man3 %{buildroot}%{_mandir}

popd	

#installing jar file
install -m 644						\
	antlr-ant/main/%{name}-task/ant-%{name}.jar	\
	-D %{buildroot}%{_javadir}/ant/ant-%{name}.jar

%{__mkdir_p} 						\
	%{buildroot}%{_sysconfdir}/ant.d

cat > %{buildroot}%{_sysconfdir}/ant.d/ant-%{name} << EOF
ant/ant-%{name} %{name}
EOF

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
